import { CanActivate, ExecutionContext } from '@nestjs/common';
import { Reflector } from '@nestjs/core';
import { SessionsService } from '../services/sessions.service';
export declare class PermissionGuardArgs {
    keywords?: string[] | null | undefined;
    verificationLevels?: string[] | null | undefined;
}
export declare const AllowPermissions: import("@nestjs/core").ReflectableDecorator<PermissionGuardArgs, PermissionGuardArgs>;
export declare class PermissionGuard implements CanActivate {
    private readonly _sessionsService;
    private readonly _reflector;
    constructor(_sessionsService: SessionsService, _reflector: Reflector);
    canActivate(context: ExecutionContext): Promise<boolean>;
    private _getToken;
    private _checkPermission;
}
