"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DictionaryEmbeddedSchema = exports.DictionaryEmbedded = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const base_schema_1 = require("../base.schema");
const i18n_embedded_1 = require("./i18n.embedded");
let DictionaryEmbedded = class DictionaryEmbedded extends base_schema_1.Base {
};
exports.DictionaryEmbedded = DictionaryEmbedded;
__decorate([
    (0, mongoose_1.Prop)({ type: [mongoose_2.Schema.Types.ObjectId], required: true }),
    __metadata("design:type", Array)
], DictionaryEmbedded.prototype, "parentIds", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: i18n_embedded_1.I18nSchema, required: true, default: null }),
    __metadata("design:type", Object)
], DictionaryEmbedded.prototype, "title", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Map, of: String, required: true, default: new Map() }),
    __metadata("design:type", Map)
], DictionaryEmbedded.prototype, "metas", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, required: false, default: null }),
    __metadata("design:type", String)
], DictionaryEmbedded.prototype, "keyword", void 0);
exports.DictionaryEmbedded = DictionaryEmbedded = __decorate([
    (0, mongoose_1.Schema)()
], DictionaryEmbedded);
exports.DictionaryEmbeddedSchema = mongoose_1.SchemaFactory.createForClass(DictionaryEmbedded);
//# sourceMappingURL=dictionary-embedded.schema.js.map