"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonSchema = exports.Person = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const residence_schema_1 = require("./residence.schema");
const dictionary_embedded_schema_1 = require("./dictionary-embedded.schema");
let Person = class Person {
};
exports.Person = Person;
__decorate([
    (0, mongoose_1.Prop)({ type: String, required: false, default: null }),
    __metadata("design:type", String)
], Person.prototype, "pid", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, required: true }),
    __metadata("design:type", String)
], Person.prototype, "firstName", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: String, required: true }),
    __metadata("design:type", String)
], Person.prototype, "lastName", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: Date, required: false, default: null }),
    __metadata("design:type", Date)
], Person.prototype, "birthDate", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: dictionary_embedded_schema_1.DictionaryEmbeddedSchema, required: false }),
    __metadata("design:type", Object)
], Person.prototype, "gender", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: residence_schema_1.ResidenceSchema, required: true, default: () => new residence_schema_1.Residence() }),
    __metadata("design:type", Object)
], Person.prototype, "residence", void 0);
exports.Person = Person = __decorate([
    (0, mongoose_1.Schema)({ _id: false })
], Person);
exports.PersonSchema = mongoose_1.SchemaFactory.createForClass(Person);
//# sourceMappingURL=person.schema.js.map