import { HydratedDocument } from 'mongoose';
import { IRecord } from '../../interfaces/record.interface';
import { RecordState } from '../../enums/record-state.enum';
export declare class Record implements IRecord {
    state: RecordState;
    deleted: boolean;
    createdAt: Date;
    updatedAt: Date;
    deletedAt: Date;
}
export declare const RecordSchema: import("mongoose").Schema<Record, import("mongoose").Model<Record, any, any, any, import("mongoose").Document<unknown, any, Record> & Record & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, Record, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<Record>> & import("mongoose").FlatRecord<Record> & {
    _id: import("mongoose").Types.ObjectId;
} & {
    __v?: number;
}>;
export type RecordDocument = HydratedDocument<Record>;
