import { HydratedDocument } from 'mongoose';
import { Identifable } from '../identifable.schema';
import { IStudentEmbedded } from '../../interfaces/student-embedded.interface';
import { IParent } from '../../interfaces/parent.interface';
import { IPerson } from '../../interfaces/person.interface';
import { IDictionary } from '../../interfaces/dictionary.interface';
export declare class StudentEmbedded extends Identifable implements IStudentEmbedded {
    description: string;
    parent: IParent;
    person: IPerson;
    knowladgeLevel: IDictionary;
}
export declare const StudentEmbeddedSchema: import("mongoose").Schema<StudentEmbedded, import("mongoose").Model<StudentEmbedded, any, any, any, import("mongoose").Document<unknown, any, StudentEmbedded> & StudentEmbedded & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, StudentEmbedded, import("mongoose").Document<unknown, {}, import("mongoose").FlatRecord<StudentEmbedded>> & import("mongoose").FlatRecord<StudentEmbedded> & Required<{
    _id: import("mongoose").Types.ObjectId;
}> & {
    __v?: number;
}>;
export type StudentEmbeddedDocument = HydratedDocument<StudentEmbedded>;
