import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class I18nDTO {
    @IsString()
    @IsNotEmpty()
    ge: string;

    @IsString()
    @IsOptional()
    en?: string;

    @IsString()
    @IsOptional()
    ua?: string;
}
